var api = require("../../utils/api-connector");

exports.proxyAll = function(req, res, next) {
  var method = req.method.toLowerCase();
  var apiRequest = api[method];

  req.urn = req.originalUrl.replace("/api", "") || "/";

  if (apiRequest) {
    apiRequest(req, function (error, response, body) {
      if (body) {
        res
          .set(response.headers)
          .status(response.statusCode)
          .json(body);
      } else {
        res.sendStatus(response.statusCode);
      }
    });
  } else {
    next();
  }
};