var path = require("path");

module.exports = function (config = {}) {
  return {
    debug: true,
    noInfo: true,
    entry: config.entries,
    target: 'web',
    devtool: 'eval',
    output: {
      path: config.path,
      filename: "js/[name].bundle.js"
    },
    module: {
      loaders: [
        {
          test: /\.js$/,
          include: config.include,
          exclude: /node_modules/,
          loader: 'babel',
          query: {
            sourceMaps: 'inline'
          }
        },
        {test: /\.eot(\?v=\d+.\d+.\d+)?$/, loader: 'file'},
        {test: /\.(woff|woff2)$/, loader: 'file-loader?prefix=font/&limit=5000'},
        {test: /\.ttf(\?v=\d+.\d+.\d+)?$/, loader: 'file-loader?limit=10000&mimetype=application/octet-stream'},
        {test: /\.svg(\?v=\d+.\d+.\d+)?$/, loader: 'file-loader?limit=10000&mimetype=image/svg+xml'},
        {test: /\.(jpe?g|png|gif)$/i, loaders: ['file']},
        {test: /\.ico$/, loader: 'file-loader?name=[name].[ext]'},
        {test: /\.json$/, loader: 'json-loader'},
        {test: /(\.css)$/, loaders: ['style', 'css?sourceMap']},
        {test: /(\.styl)$/, loaders: ['style', 'css?sourceMap', 'stylus?sourceMap']}
      ]
    }
  }
};