var request = require('request');

exports.downloadFile = function(req, res) {
  const {url, token = 'bearer ' + req.session.user.access_token} = req;

  request.get({
    url,
    encoding: null,
    headers: {
      Authorization: token
    }
  }, function(error, response, file) {
    if (error) {
      return res.send(error);
    }

    res.set(response.headers).send(new Buffer(file));
  });
};

exports.uploadFile = function(req, res, next) {
  const token = req.session.user.access_token;
  const {buffer, originalname, mimetype} = req.files[0] || {};
  const {url} = req;
  const method = 'POST';

  if (!token) {
    return res.sendStatus(401);
  }

  if (!url) {
    return res.status(400).send('req.url is not defined');
  }

  if (!buffer) {
    return res.status(400).send('file error');
  }

  request({
    method,
    url,
    json: true,
    formData: {
      [req.files[0].fieldname]: {
        value: buffer,
        options: {
          filename: originalname,
          contentType: mimetype
        }
      }
    },
    headers: {
      'Authorization': 'bearer ' + token
    }
  }, function (error, response, body) {
    res.status(response.statusCode).json(body);
  });
};